<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000"
    android:keepScreenOn="true">

    <androidx.camera.view.PreviewView
        android:id="@+id/photo_preview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        app:layout_constraintBottom_toBottomOf="@id/preview"
        app:layout_constraintEnd_toEndOf="@id/preview"
        app:layout_constraintStart_toStartOf="@id/preview"
        app:layout_constraintTop_toTopOf="@id/preview" />

    <ImageView
        android:id="@+id/preview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        app:layout_constraintBottom_toTopOf="@id/control"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.assimilate.alltrans.curview.GraphicOverlay
        android:id="@+id/graphic_overlay"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/bg_40_000000"
        app:layout_constraintBottom_toBottomOf="@id/preview"
        app:layout_constraintLeft_toLeftOf="@id/preview"
        app:layout_constraintRight_toRightOf="@id/preview"
        app:layout_constraintTop_toTopOf="@id/preview" />

    <LinearLayout
        android:id="@+id/control"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#000"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="19dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/iv_still_pic"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="top"
                android:layout_weight="1"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:src="@drawable/ic_still_pic" />

            <ImageView
                android:id="@+id/iv_still_take"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:src="@drawable/ic_still_take" />

            <ImageView
                android:id="@+id/iv_still_buling"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="top"
                android:layout_weight="1"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:src="@drawable/ic_still_notbuli" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/control2"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="#000"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent">

        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/change_language"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="23dp"
        android:layout_marginBottom="16dp"
        android:elevation="2dp"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingEnd="16dp"
        app:layout_constraintBottom_toTopOf="@id/control"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <TextView
            android:id="@+id/still_source_language"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_r20_black_bg"
            android:drawablePadding="25dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="1"
            android:paddingStart="16dp"
            android:paddingEnd="12dp"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:drawableEndCompat="@drawable/ic_down_choose_white" />

        <ImageView
            android:id="@+id/still_exChange"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp"
            android:background="@drawable/button_r20_white_bg"
            android:paddingStart="12dp"
            android:paddingTop="6dp"
            android:paddingEnd="12dp"
            android:paddingBottom="6dp"
            android:src="@drawable/ic_exchage" />

        <TextView
            android:id="@+id/still_target_language"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_r20_black_bg"
            android:drawablePadding="25dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="1"
            android:paddingStart="16dp"
            android:paddingEnd="12dp"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:drawableEndCompat="@drawable/ic_down_choose_white" />
    </LinearLayout>

    <ImageView
        android:id="@+id/iv_still_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="26dp"
        android:src="@drawable/ic_back_white"
        app:layout_constraintStart_toStartOf="@id/root"
        app:layout_constraintTop_toTopOf="@id/root" />

</androidx.constraintlayout.widget.ConstraintLayout>
